package services

import (
	"os"

	conf "cloud.o-forge.io/core/deprecated-oc-catalog/conf"

	SelfAPI "cloud.o-forge.io/core/deprecated-oc-catalog/selfapi"
	"github.com/beego/beego/v2/core/logs"
	beego "github.com/beego/beego/v2/server/web"
)

var DC_NAME string

func GetSelfAPI(host string) *SelfAPI.APIClient {
	return SelfAPI.NewAPIClient(&SelfAPI.Configuration{BasePath: "http://" + host + "/v1"})
}

// Need to understand why there are so many different DC name
func Discoveryinit() {

	dcNameOS := os.Getenv("DOCKER_DCNAME")
	if len(dcNameOS) != 0 {
		DC_NAME = dcNameOS
		return
	}

	//FIXME: Beego doesn't retrieve the dcname
	beegoDC, err := beego.AppConfig.String("DCNAME")
	if err == nil && len(beegoDC) != 0 {
		DC_NAME = beegoDC
		return
	}

	DC_NAME = "DC_DEFAULT"
	logs.Warning("Default DC name is used")

	// Quickfix for scheduling
	DC_NAME = conf.GetConfig().DCNAME

}
